#pragma once

/*
 * Popups and alerts.
 */
void dialogue_alert(const char* ftm, ...); /* Does not pause execution. */
void dialogue_msg(char* caption, const char* fmt, ...);
int dialogue_YesNo(char* caption, const char* fmt, ...); /* Yes = 1, No = 0. */
char* dialogue_input(char* title, int min, int max, const char* fmt, ...);

